Permalink
Browse files

[Fix] Use SBJson dependency in Three20/ext/SBJson.

To avoid conflict with other pod specs.
  • Loading branch information...
1 parent c774479 commit f01d95d2ec7213387e44a5d4fad5ba9155b873b6 @dlackty dlackty committed Aug 16, 2012
Showing with 2 additions and 1 deletion.
  1. +2 −1 Three20/1.0.11/Three20.podspec
View
3 Three20/1.0.11/Three20.podspec
@@ -213,10 +213,11 @@ Pod::Spec.new do |s|
# This extension cannot be used with Three20/ext/YAJL
ext.subspec 'SBJSON' do |sbs|
sbs.extend(overrides)
- sbs.source_files = 'src/extThree20JSON/Vendors/JSON/*.{h,m}'
+ sbs.source_files = 'src/extThree20JSON/Vendors/JSON/*.h'
sbs.header_dir = 'extThree20JSON'
sbs.xcconfig = { 'GCC_PREPROCESSOR_DEFINITIONS' => 'EXTJSON_SBJSON' }
sbs.dependency 'Three20/ext/JSON'
+ sbs.dependency 'SBJson'
end
# Full name: Three20/ext/YAJL

0 comments on commit f01d95d

Please sign in to comment.